Mark a notification as read
POST
/api/notifications/{id}/read
const url = 'https://api.getvespy.com/api/notifications/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/read';const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.getvespy.com/api/notifications/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/read \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
Responses
Section titled “Responses”Default Response
Media typeapplication/json
object
notification
required
object
actorUser
required
object
fullName
required
string
id
required
string format: uuid
actorUserId
required
string format: uuid
body
required
string
channel
required
string
channels
Array<string>
createdAt
required
string format: date-time
entityId
required
string format: uuid
entityType
required
string
id
required
string format: uuid
priority
required
string
readAt
required
string format: date-time
title
required
string
type
required
string
Example
{ "notification": { "channel": "in_app", "channels": [ "in_app" ], "priority": "low" }}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}